Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

翻译加整理:ubuntu server 14.04 odoo9 安装简要



  • 翻译加整理:ubuntu server 14.04 odoo9安装简要及 Could not execute command lessc 解决

    注意: 9.0 目前是测试版 ,目前 个人 认为 不太适合 新手折腾,这篇文章 主要是给 有一定 填坑能力的 odoo用户 一个参考。

    其实大家 自用的话,可以等 2015年第4季度 等正式版出来后,用 deb安装包的方式相对轻松些,目前我测试下来9.0问题还是比8.0多太多。

    odoo9的安装和8.0差不多,参考:http://shine-it.net/index.php/topic,16623.0.html

    本文主要 参考官方8.0的 安装文档:[url=http://odoo-documents.readthedocs.org/en/latest/setup/install.html#setup-install-source]http://odoo-documents.readthedocs.org/en/latest/setup/install.html#setup-install-source[/url]

    这里 摘录 odoo 9.0 在 ubuntu 下的 几点:

    第一步:

    先安装 git:

    [code]apt-get insall git[/code]

    进入一个想装odoo的目录,比如 cd /opt

      [code]git clone https://github.com/odoo/odoo.git[/code]


    单独下载 9.0
    git clone https://github.com/odoo/odoo.git depth 1 --branch 9.0 --single-branch


    如果下的是完整的
    进入到 默认的 目录
    [code]cd /opt/odoo[/code]

    [code]git checkout 9.0 [/code]

    切换到 odoo master 版本也就是 odoo9


    第二步:依赖包

    官方的 依赖包是 用 pip 装的 装下 pip:

    apt-get install pip


    在odoo的目录下:运行 来安装 依赖库
    (这个倒是比 我之前用的方法简单,不过我发现 现在官方应该还没更新过 这个 requirements.txt ,所以 依赖库还是 不足的。

    pip install -r requirements.txt

    所以 还是要 参考 我 那个 odoo 8.0的依赖库进行安装。

    另外 8月13日 我测试安装odoo 9.0发现 还需要下面几个包:

    [code]wget https://launchpad.net/~pythoneers/+archive/ubuntu/py35asdefault/+build/7558927/+files/python-ofxparse_0.14-1_all.deb

    apt-get -f install python-bs4 python-bs4-doc

    dpkg -i python-ofxparse_0.14-1_all.deb

    apt-get install python-passlib[/code]

    最后还需要 安装lessc (在ubuntu 14.04下安装如下):

    [code]apt-get install -y npm

    sudo ln -s /usr/bin/nodejs /usr/bin/node

    npm install -g less less-plugin-clean-css[/code]

    [code]sudo apt-get install node-less[/code]

    这步安装可能会报个小错,
    npm WARN engine hawk@3.1.0: wanted: {"node":">=0.10.32"} (current: {"node":"v0.10.25","npm":"1.3.10"})

    不过不影响 odoo9运行。


    安装中文字体(还是老样子):

    [code]sudo apt-get install ttf-wqy-zenhei
    [code]sudo apt-get install ttf-wqy-microhei[/code][/code]

    打印的wkhtmltox:

    [code]sudo apt-get install wkhtmltopdf[/code]

    下载:(下边的命令第一行末尾的 / 和第二行开头的 w 之间没有空格 )

    64位版本:http://yun.baidu.com/share/link?shareid=2342612474&uk=1077163249
    然后用winscp 等上传 后  解压缩下载到的文件:

    [code]tar -vxf wkhtmltox-linux-amd64_0.12.0-03c001d.tar.xz[/code]

    得到一个目录wkhtmltox,把wkhtmltopdf复制到/usr/bin目录,更改所有者,并增加可执行属性

    [code]sudo cp wkhtmltox/bin/wkhtmltopdf /usr/bin/
    sudo chown root:root /usr/bin/wkhtmltopdf
    sudo chmod +x /usr/bin/wkhtmltopdf
    [/code]
    第三步:运行odoo9

    [code]apt-get install -y postgresql-9.3 postgresql-client-9.3 postgresql-contrib-9.3 postgresql-server-dev-9.3[/code]
    确保 系统 安装过 postgresql 后参考官方8.0安装教程
    以当前用户的用户名 创建一个 postgresql 的用户:

    [code]sudo su - postgres -c "createuser -s $USER"[/code]

    进入 odoo9的安装 目录 cd /opt/odoo 运行

    [code]./odoo.py[/code]

    就可以运行 odoo了。 具体还可以 参考 文章头部 提到的官方odoo安装文档 odoo.py 的各种参数。
    其实测试版这样就可以了。如果需要配置 服务 及 开机启动,目前还是和odoo8.0一样的。(注意目录的不同)。

    另外,odoo8.0 切换到9.0的 老用户 注意:odoo-server.conf (或者是 openerp-server.conf文件 要修改下,很多8.0自动生成的参数先去掉比较好。(我在这个坑里面也呆了会。。)

                                                                        文章分享给大家,希望大家都能少走弯路,共同建设我们美好的世界







  • 翻译加整理:ubuntu server 14.04 odoo9安装简要及 Could not execute command lessc 解决

    注意: 9.0 目前是测试版 ,目前 个人 认为 不太适合 新手折腾,这篇文章 主要是给 有一定 填坑能力的 odoo用户 一个参考。

    其实大家 自用的话,可以等 2015年第4季度 等正式版出来后,用 deb安装包的方式相对轻松些,目前我测试下来9.0问题还是比8.0多太多。

    odoo9的安装和8.0差不多,参考:http://shine-it.net/index.php/topic,16623.0.html

    本文主要 参考官方8.0的 安装文档:[url=http://odoo-documents.readthedocs.org/en/latest/setup/install.html#setup-install-source]http://odoo-documents.readthedocs.org/en/latest/setup/install.html#setup-install-source[/url]

    这里 摘录 odoo 9.0 在 ubuntu 下的 几点:

    第一步:

    先安装 git:

    [code]apt-get insall git[/code]

    进入一个想装odoo的目录,比如 cd /opt

      [code]git clone https://github.com/odoo/odoo.git[/code]


    单独下载 9.0
    git clone https://github.com/odoo/odoo.git depth 1 --branch 9.0 --single-branch


    如果下的是完整的
    进入到 默认的 目录
    [code]cd /opt/odoo[/code]

    [code]git checkout 9.0 [/code]

    切换到 odoo master 版本也就是 odoo9


    第二步:依赖包

    官方的 依赖包是 用 pip 装的 装下 pip:

    apt-get install pip


    在odoo的目录下:运行 来安装 依赖库
    (这个倒是比 我之前用的方法简单,不过我发现 现在官方应该还没更新过 这个 requirements.txt ,所以 依赖库还是 不足的。

    pip install -r requirements.txt

    所以 还是要 参考 我 那个 odoo 8.0的依赖库进行安装。

    另外 8月13日 我测试安装odoo 9.0发现 还需要下面几个包:

    [code]wget https://launchpad.net/~pythoneers/+archive/ubuntu/py35asdefault/+build/7558927/+files/python-ofxparse_0.14-1_all.deb

    apt-get -f install python-bs4 python-bs4-doc

    dpkg -i python-ofxparse_0.14-1_all.deb

    apt-get install python-passlib[/code]

    最后还需要 安装lessc (在ubuntu 14.04下安装如下):

    [code]apt-get install -y npm

    sudo ln -s /usr/bin/nodejs /usr/bin/node

    npm install -g less less-plugin-clean-css[/code]

    [code]sudo apt-get install node-less[/code]

    这步安装可能会报个小错,
    npm WARN engine hawk@3.1.0: wanted: {"node":">=0.10.32"} (current: {"node":"v0.10.25","npm":"1.3.10"})

    不过不影响 odoo9运行。


    安装中文字体(还是老样子):

    [code]sudo apt-get install ttf-wqy-zenhei
    [code]sudo apt-get install ttf-wqy-microhei[/code][/code]

    打印的wkhtmltox:

    [code]sudo apt-get install wkhtmltopdf[/code]

    下载:(下边的命令第一行末尾的 / 和第二行开头的 w 之间没有空格 )

    64位版本:http://yun.baidu.com/share/link?shareid=2342612474&uk=1077163249
    然后用winscp 等上传 后  解压缩下载到的文件:

    [code]tar -vxf wkhtmltox-linux-amd64_0.12.0-03c001d.tar.xz[/code]

    得到一个目录wkhtmltox,把wkhtmltopdf复制到/usr/bin目录,更改所有者,并增加可执行属性

    [code]sudo cp wkhtmltox/bin/wkhtmltopdf /usr/bin/
    sudo chown root:root /usr/bin/wkhtmltopdf
    sudo chmod +x /usr/bin/wkhtmltopdf
    [/code]
    第三步:运行odoo9

    [code]apt-get install -y postgresql-9.3 postgresql-client-9.3 postgresql-contrib-9.3 postgresql-server-dev-9.3[/code]
    确保 系统 安装过 postgresql 后参考官方8.0安装教程
    以当前用户的用户名 创建一个 postgresql 的用户:

    [code]sudo su - postgres -c "createuser -s $USER"[/code]

    进入 odoo9的安装 目录 cd /opt/odoo 运行

    [code]./odoo.py[/code]

    就可以运行 odoo了。 具体还可以 参考 文章头部 提到的官方odoo安装文档 odoo.py 的各种参数。
    其实测试版这样就可以了。如果需要配置 服务 及 开机启动,目前还是和odoo8.0一样的。(注意目录的不同)。

    另外,odoo8.0 切换到9.0的 老用户 注意:odoo-server.conf (或者是 openerp-server.conf文件 要修改下,很多8.0自动生成的参数先去掉比较好。(我在这个坑里面也呆了会。。)

                                                                        文章分享给大家,希望大家都能少走弯路,共同建设我们美好的世界







  • [color=green]"小插曲:官方的文档,强制要求python 版本为2.7.9 我发现 我14.04.3下 python 是2.7.6
    升级到2.7.9 原2.7.6 的好像还是在的,而且 odoo运行反而有些依赖包会找不到,我判断网上搜到的升级方法
    估计 路径不一样了。"[/color]

    上面的说法不妥,官方文档没有强制要求2.7.9,只是在windows下需要,linux下python2.7就够了。昨天按照你的方法将python升级后替换系统默认的python出现了问题,很多包都要重新安装,折腾很久。今天重新弄个虚拟机未升级python,安装9.0成功。mark一下。



  • 谢谢,我的确也走过弯路,所以 写了这个插曲,现在看来,还是删掉这段话比较好。



  • 楼主这个方式安装,模块齐不?



  • ODOO 9.0到底怎么样????可以和其他电商网站对接吗?????



  • 9.0安装之后容易掉的2个坑,
    1:技术特性,2:会计科目 (注意 小企业和企业 2选1 安装即可,后装的科目 不会覆盖之前的)
    http://shine-it.net/index.php?topic=16538.msg28681#msg28681


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待